Signatures
Envelope Document Download
Downloads a specific document within an envelope.
- The envelope is identified using the envelopeId path parameter.
- The document is identified using the documentId path parameter.
- The envelope is authenticated via the transactionId (tid) query parameter.
- The document is returned as a binary stream (application/octet-stream), typically in its original format (e.g., PDF, DOCX) or as a processed version (e.g., signed PDF).
AuthorizationBearer <token>
JWT token to authenticate the request.
In: header
X-Api-Key<token>
API key, sent as a request header.
In: header
Path Parameters
envelopeId*string
The ID of the envelope where the attachment is added.
documentId*string
The needed string value. The ID(URN) of the document you would like to download from the defined envelope.
Query Parameters
tid?string
Transaction token identifying a specific recipient+envelope pair. Required for anonymous/recipient access (no Authorization header, or the header doesn't resolve to the envelope owner).
Format
uuidResponse Body
application/octet-stream
application/json
application/json
curl -X GET "https://example.com/signatures/envelope/string/document/string/download"Empty
{ "error": { "message": "Envelope not found.", "statusCode": 400, "innerErrors": [ { "code": "ENVELOPE_ID_INVALID", "message": "Envelope not found.", "userMessage": "Envelope not found." } ] }, "origin": "GET https://api.doctavian.com/v1/signatures/envelope/{envelopeId}/document/{documentId}/download", "dateTime": "2026-07-20T12:00:00.000Z", "userId": "a7507d18-7c4b-4552-8cb5-00d56d63802e", "operationId": "b5d3961fcf370219a9a237ab4bab7304"}{ "error": { "message": "Envelope not found.", "statusCode": 500, "innerErrors": [ { "code": "ENVELOPE_ID_INVALID", "message": "Envelope not found.", "userMessage": "Envelope not found." } ] }, "origin": "GET https://api.doctavian.com/v1/signatures/envelope/{envelopeId}/document/{documentId}/download", "dateTime": "2026-07-20T12:00:00.000Z", "userId": "ba3622a6-d3ab-4232-bab2-3117a993318c", "operationId": "d38e61576adb41e23eb254a293e914de"}